> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCompanyLocationInfo

> 
The `getCompanyLocationInfo` API retrieves all location information for a specific company including address and location type designation.

### What it does:

- Returns all company locations including addresses, phone numbers, and location type

### Notes:

- Location types include **WorkLocation**, **MailingAddress**, and **FilingAddress**



## OpenAPI

````yaml get /reports/getCompanyLocationInfo
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getCompanyLocationInfo:
    get:
      tags: []
      summary: getCompanyLocationInfo
      description: >-

        The `getCompanyLocationInfo` API retrieves all location information for
        a specific company including address and location type designation.


        ### What it does:


        - Returns all company locations including addresses, phone numbers, and
        location type


        ### Notes:


        - Location types include **WorkLocation**, **MailingAddress**, and
        **FilingAddress**
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getCompanyLocationInfo
                  example: getCompanyLocationInfo
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
            example:
              method: getCompanyLocationInfo
              companyId: 0944def5-7c6e-4f6b-a7ed-10d28b11b9b9
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  CompanyLocation:
                    type: array
                    items:
                      type: object
                      properties:
                        companyLocation:
                          type: string
                        companyLocationID:
                          type: string
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        zipcode:
                          type: string
                        country:
                          type: string
                        phoneNumber:
                          type: string
                        isWorkLocation:
                          type: boolean
                        isMailingAddress:
                          type: boolean
                        isFilingAddress:
                          type: boolean
                required:
                  - CompanyLocation
              example:
                CompanyLocation:
                  - companyLocation: 22 Main
                    companyLocationID: 1BD3184B-76B2-45A4-98D5-3552DB5684A2
                    address1: 8435 Colard Ln
                    address2: ''
                    city: Lyons
                    state: CO
                    zipcode: '80540'
                    country: US
                    phoneNumber: '1111111111'
                    isWorkLocation: true
                    isMailingAddress: false
                    isFilingAddress: true
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````